[proaudio] media-video/lives

[ Thread Index | Date Index | More lists.tuxfamily.org/proaudio Archives ]


Hi,

Here is an ebuild for lives [1]. It is just a copy of the one in the
main portage tree, but with a newer version.

Best regards,
Natanael

[1] http://lives.sourceforge.net/index.php

Index: lives/Manifest
===================================================================
--- lives/Manifest	(revision 0)
+++ lives/Manifest	(working copy)
@@ -0,0 +1,2 @@
+DIST LiVES-1.6.1.tar.bz2 3372854 RMD160 1f9806f8eeb27ae5916ef426c54b938ad17103d7 SHA1 349f8fcc12730abd66dc738de15e981b6b5edc14 SHA256 cb0dc4e909e78db79e33f3dbd0464522cdc494442bd79670d05756ad4d5b9cb7
+EBUILD lives-1.6.1.ebuild 2061 RMD160 487da57788b55e41bfcb6474bc05cb95742800ba SHA1 28be7f79bf51b9faf6924a68e548cc7afa2824b6 SHA256 e1b7400cd9ca94ef6bfea74f2440ff5c785908707a48cfc6183bed4ff1ab58ca
Index: lives/lives-1.6.1.ebuild
===================================================================
--- lives/lives-1.6.1.ebuild	(revision 0)
+++ lives/lives-1.6.1.ebuild	(working copy)
@@ -0,0 +1,78 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-video/lives/lives-1.4.6.ebuild,v 1.4 2012/05/05 08:58:57 jdhore Exp $
+
+EAPI=4
+inherit autotools eutils
+
+MY_P=LiVES-${PV}
+
+DESCRIPTION="LiVES is a Video Editing System"
+HOMEPAGE="http://lives.sf.net";
+SRC_URI="http://www.xs4all.nl/~salsaman/lives/current/${MY_P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="libvisual matroska nls ogg theora" # static-libs
+
+RDEPEND="media-video/mplayer
+	|| ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )
+	dev-lang/perl
+	>=dev-libs/glib-2.14
+	>=x11-libs/gtk+-2.16:2
+	media-libs/libsdl
+	media-libs/libv4l
+	virtual/ffmpeg
+	virtual/jpeg
+	media-sound/sox
+	virtual/cdrtools
+	|| ( dev-lang/python:2.7 dev-lang/python:2.6 )
+	media-plugins/frei0r-plugins
+	media-sound/jack-audio-connection-kit
+	>=media-video/mjpegtools-1.6.2
+	sys-libs/libavc1394
+	libvisual? ( media-libs/libvisual )
+	matroska? ( media-video/mkvtoolnix )
+	ogg? ( media-sound/ogmtools )
+	theora? ( media-libs/libtheora )"
+DEPEND="${DEPEND}
+	virtual/pkgconfig
+	nls? ( sys-devel/gettext )"
+
+DOCS=( AUTHORS BUGS ChangeLog FEATURES GETTING.STARTED NEWS README )
+
+src_prepare() {
+	esvn_clean
+
+	# Don't try to detect installed copies wrt #295293
+	sed -i -e '/^PKG_CHECK_MODULES(WEED/s:true:false:' configure.in || die
+	sed -i -e '/test/s:sendOSC:dIsAbLeAuToMaGiC:' libOSC/sendOSC/Makefile.am || die
+
+	# Use python 2.x as per reference in plugins
+	sed -i \
+		-e '/#!.*env/s:python:python2:' \
+		lives-plugins/plugins/encoders/multi_encoder* \
+		lives-plugins/marcos-encoders/lives_*_encoder* || die
+
+	AT_M4DIR="mk/autoconf" eautoreconf # for the seds
+}
+
+src_configure() {
+	# $(use_enable static-libs static)
+	econf \
+		--disable-static \
+		$(use_enable libvisual) \
+		$(use_enable nls)
+}
+
+src_install() {
+	default
+
+	rm -f "${ED}"usr/bin/lives #384727
+	dosym lives-exe /usr/bin/lives
+
+	find "${ED}"usr -name '*.la' -exec rm -f {} +
+	# use static-libs ||
+	rm -f "${ED}"usr/lib*/libweed-*.a
+}



Mail converted by MHonArc 2.6.19+ http://listengine.tuxfamily.org/